Skip to main content
GET
/
api
/
v1
/
billing
/
transactions
JavaScript
import CheckoutIntents from 'checkout-intents';

const client = new CheckoutIntents({
  apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const billingListTransactionsResponse of client.billing.listTransactions()) {
  console.log(billingListTransactionsResponse.id);
}
{
  "pageInfo": {
    "hasPreviousPage": true,
    "hasNextPage": true,
    "startCursor": "<string>",
    "endCursor": "<string>"
  },
  "data": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "amount": {
        "currencyCode": "USD",
        "amountSubunits": 1500
      },
      "id": "<string>",
      "metadata": {},
      "description": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Rye API key

Query Parameters

limit
integer<int32>
default:20

Maximum number of transactions to return (default 20)

Required range: 1 <= x <= 100
after
string

Cursor for forward pagination (transaction ID to start after)

before
string

Cursor for backward pagination (transaction ID to end before)

Response

Paginated list of balance transactions

pageInfo
object
required
data
object[]
required